function buttonreimport(hObject, eventdata, parentfig, Empty_Button, Buttons, Footnote, AxesAFS, AxesSOL, lcs, LCS, type)
data = get(Empty_Button,'UserData');

data.import.s = 0;
data.import.A = [];
data.import.tr = [];

xl = get(AxesSOL, 'Xlim');
yl = get(AxesSOL, 'Ylim');

if (isfield(data,'isExpert1') == 1) && (data.isExpert1 == 1);
    if (isfield(data,'isExpert2') == 1) && (data.isExpert2 == 1)
        plotlockedAFS(parentfig, data, AxesAFS, AxesSOL, lcs, LCS, 2);
        plot(AxesSOL,data.x,[1 data.FixPoint1]*data.V(:,1:3)','color',data.colorExpert(1,:),'Linewidth',2);
        hold(AxesSOL,'on');
        plot(AxesSOL,data.x,[1 data.FixPoint2]*data.V(:,1:3)','color',data.colorExpert(2,:),'Linewidth',2);
        
        hold(AxesAFS,'on');
        if (isfield(data,'isLastClickLockMode') == 1) && (data.isLastClickLockMode == 1)
            plot(AxesAFS, data.LastClickLockMode.FixPoint(1), data.LastClickLockMode.FixPoint(2),'k+','Linewidth',2);
            plot(AxesSOL, data.x, [1 data.LastClickLockMode.FixPoint]*data.V(:,1:3)','color',data.colorExpert(3,:),'Linewidth',2);
        end
        hold(AxesAFS,'off');
        hold(AxesSOL,'off');
        
        set(AxesSOL, 'Xlim', xl, 'Ylim', yl);
    else
        plotlockedAFS(parentfig, data, AxesAFS, AxesSOL, lcs, LCS, 1);
        plot(AxesSOL,data.x,[1 data.FixPoint1]*data.V(:,1:3)','color',data.colorExpert(1,:),'Linewidth',2);
        
        hold(AxesAFS,'on');
        hold(AxesSOL,'on');
        if (isfield(data,'isLastClickLockMode') == 1) && (data.isLastClickLockMode == 1)
            plot(AxesAFS, data.LastClickLockMode.FixPoint(1), data.LastClickLockMode.FixPoint(2),'ko','Linewidth',2);
            plot(AxesSOL, data.x, [1 data.LastClickLockMode.FixPoint]*data.V(:,1:3)','color',data.colorExpert(2,:),'Linewidth',2);
        end
        hold(AxesAFS,'off');
        hold(AxesSOL,'off');
        
        set(AxesSOL, 'Xlim', xl, 'Ylim', yl);
    end
else
    plot(AxesSOL,1,0,'w');
    plotAFS(parentfig, data, AxesAFS, AxesSOL, lcs, LCS);
    hold(AxesAFS,'on');
    if (isfield(data,'isLastClickLockMode') == 1) && (data.isLastClickLockMode == 1)
        plot(AxesAFS, data.LastClickLockMode.FixPoint(1), data.LastClickLockMode.FixPoint(2),'kx','Linewidth',2);
        plot(AxesSOL, data.x, [1 data.LastClickLockMode.FixPoint]*data.V(:,1:3)','color',data.colorExpert(1,:),'Linewidth',2);
    end
    hold(AxesAFS,'off');
    
    set(AxesSOL, 'Xlim', xl, 'Ylim', yl);
end

if type == 0
    set(hObject,'Enable','off');
end

set(Empty_Button,'UserData',data);
